package require tcl3d

togl .t
pack .t

foreach f [tcl3dOglGetFuncList] {
    puts "$f -> [tcl3dOglFindFunc $f]"
}

set len [llength [tcl3dOglGetFuncList]]
puts "Number of GL function list: $len"

set len2 [llength [tcl3dOglGetFuncSignatureList]]
if { $len != $len2 } {
    puts "Length of tcl3dOglGetFuncSignatureList ($len2) != master list ($len)"
}

set len2 [llength [tcl3dOglGetFuncVersionList]]
if { $len != $len2 } {
    puts "Length of tcl3dOglGetFuncVersionList ($len2) != master list ($len)"
}

set len [llength [tcl3dOglGetFuncList "glu"]]
puts "Number of GLU function list: $len"
exit 0
